---
- entityDefinitions:
  - IDR_Method_Binding__uses_super__Return_Instance_Set_Method_Binding: '{444279f1-3bf9-4d1f-848e-e7bf33fa0fd7}'
  - IDR_Return_Instance_Set_Method_Binding__super_used_by__Method_Binding: '{c7f1c99b-19ca-4035-8e8e-6700efa7cb20}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:     '&IDC_MethodBinding;'
    name:      Method Binding
    index:     27
    abstract:  yes
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'Method Binding'
    relationships:
    - instance: '&IDR_Method_Binding__executes__Method;'
      customTagName: 'executesMethod'

  - relationship: '&IDR_Method_Binding__executes__Method;'
    index: 32
    sourceClassId: '&IDC_MethodBinding;'
    type: 'executes'
    destinationClassId: '&IDC_Method;'
    siblingRelationshipId: '&IDR_Method__executed_by__Method_Binding;'
    singular: yes

  - relationship: '&IDR_Method__executed_by__Method_Binding;'
    index: 33
    sourceClassId: '&IDC_Method;'
    type: 'executed by'
    destinationClassId: '&IDC_MethodBinding;'
    siblingRelationshipId: '&IDR_Method_Binding__executes__Method;'
    singular: no

  - relationship: '&IDR_Method_Binding__has__Parameter_Assignment;'
    index: 34
    sourceClassId: '&IDC_MethodBinding;'
    type: 'has'
    destinationClassId: '&IDC_ParameterAssignment;'
    siblingRelationshipId: '&IDR_Parameter_Assignment__for__Method_Binding;'
    singular: no

  - relationship: '&IDR_Parameter_Assignment__for__Method_Binding;'
    index: 35
    sourceClassId: '&IDC_ParameterAssignment;'
    type: 'for'
    destinationClassId: '&IDC_MethodBinding;'
    siblingRelationshipId: '&IDR_Method_Binding__has__Parameter_Assignment;'
    singular: no

  - relationship: '&IDR_Method_Binding__uses_super__Return_Instance_Set_Method_Binding;'
    index: 147
    sourceClassId: '&IDC_MethodBinding;'
    type: 'uses super'
    destinationClassId: '&IDC_ReturnInstanceSetMethodBinding;'
    siblingRelationshipId: '&IDR_Return_Instance_Set_Method_Binding__super_used_by__Method_Binding;'
    singular: no

  - relationship: '&IDR_Return_Instance_Set_Method_Binding__super_used_by__Method_Binding;'
    index: 148
    sourceClassId: '&IDC_ReturnInstanceSetMethodBinding;'
    type: 'super used by'
    destinationClassId: '&IDC_MethodBinding;'
    siblingRelationshipId: '&IDR_Method_Binding__uses_super__Return_Instance_Set_Method_Binding;'
    singular: no